This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 763205 - (GLUSTER-1473) reuse the ports while starting 'glusterfsd'
reuse the ports while starting 'glusterfsd'
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
All Linux
low Severity high
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-29 08:25 EDT by Amar Tumballi
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2010-08-29 08:25:44 EDT
as of now, ports are reused, but there is a chance that after stop/start, same brick may get different port number. This is good if a brick starts in same port as long as same glusterd instance is present. There is no need to keep this brick port info persistent, but surely for one instance of glusterd, brick should be having a port.
Comment 1 Vijay Bellur 2010-08-29 11:37:29 EDT
PATCH: http://patches.gluster.com/patch/4359 in master (mgmt/glusterd: handle port allocation so ports are reused for same brick)

Note You need to log in before you can comment on or make changes to this bug.